package cat.hack3.codingtests.marsrover;

public class MoveBackwardsCommand implements RoverCommand {
    private final RotableRiderRover rover;

    public MoveBackwardsCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    @Override
    public void execute() {
        rover.moveTowards(rover.getCurrentDirection().reversed());
    }
}
