package cat.hack3.codingtests.marsrover;

public class MoveForwardCommand implements RoverCommand {
    private final RotableRiderRover rover;

    public MoveForwardCommand(RotableRiderRover rover) {
        this.rover = rover;
    }

    public void execute() {
        rover.moveTowards(rover.getCurrentDirection());
    }
}
